@use "theme";

html {
    background-color: theme.$colorBackground;
    color: theme.$colorText;
    font-family: "Source Sans Pro", sans-serif;
    font-size: theme.$baseFontSize;
    font-weight: theme.$fontWeightRegular;
    line-height: theme.$lineHeightText;
    text-rendering: optimizeLegibility;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

body {
    margin: 0;
}

*,
*:before,
*:after {
    box-sizing: border-box;
}

a {
    text-decoration-skip-ink: auto;
    color: theme.$colorTextLink;

    &:hover,
    &:active {
        color: theme.$colorTextLinkHover;
    }
}

a[disabled] {
    pointer-events: none;
}

blockquote {
    font-style: italic;
    font-size: theme.$fontSizeLarge;
    font-weight: theme.$fontWeightRegular;
    line-height: 1.7;
}

/* Some versions of Safari on iOS will show an additional search icon on input fields with type="search".
   Since we are adding our own icons, this must be prevented
*/
input[type="search"]::-webkit-search-decoration {
    display: none;
}

abbr[title],
span[title] {
    text-decoration: dotted underline;
}
